VkCommandBufferAllocateInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkCommandPool | commandPool
VkCommandBufferLevel | level
uint32_t | commandBufferCount

## Detailed Description

Definition at line 2677 of file vulkan_core.h.

## Field Documentation

## commandBufferCount

uint32_t VkCommandBufferAllocateInfo::commandBufferCount

Definition at line 2682 of file vulkan_core.h.

Referenced by createCommandBuffers().

## commandPool

VkCommandPool VkCommandBufferAllocateInfo::commandPool

Definition at line 2680 of file vulkan_core.h.

Referenced by createCommandBuffers().

## level

VkCommandBufferLevel VkCommandBufferAllocateInfo::level

Definition at line 2681 of file vulkan_core.h.

Referenced by createCommandBuffers().

## pNext

const void* VkCommandBufferAllocateInfo::pNext

Definition at line 2679 of file vulkan_core.h.

## sType

VkStructureType VkCommandBufferAllocateInfo::sType

Definition at line 2678 of file vulkan_core.h.

Referenced by createCommandBuffers().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h